Bug 1502312 - Nothing in Fedora 27+ grub2 obsoletes/provides grub2-efi.i686
Summary: Nothing in Fedora 27+ grub2 obsoletes/provides grub2-efi.i686
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 27
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-15 15:53 UTC by ne.bu.lus
Modified: 2018-02-14 17:27 UTC (History)
16 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-02-14 17:27:05 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1506704 None CLOSED Nothing in Fedora 27+ grub2 obsoletes/provides grub2-efi-modules (breaks upgrades) 2019-04-02 05:14 UTC

Internal Trackers: 1506704

Description ne.bu.lus 2017-10-15 15:53:44 UTC
Description of problem:
stop the upgrade about fedora LXDE 26 to 27

Version-Release number of selected component (if applicable):
26

Steps to Reproduce:

# dnf system-upgrade download --releasever=27


Actual results:

Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Dernière vérification de l’expiration des métadonnées effectuée il y a 0:00:00 le dim. 15 oct. 2017 17:48:37 CEST.
Erreur : 
 Problème: package grub2-efi-1:2.02-0.40.fc26.i686 requires grub2-tools = 1:2.02-0.40.fc26, but none of the providers can be installed
  - grub2-tools-1:2.02-0.40.fc26.i686 does not belong to a distupgrade repository
  - problem with installed package grub2-efi-1:2.02-0.40.fc26.i686

Expected results:


Additional info:

Comment 1 Jose Gaetan Pierre 2017-10-17 06:11:49 UTC
Have just tried to upgrade from 26 to 27 with same result:

dnf refresh upgrade
Problem: package grub2-efi-1:2.02-0.40.fc26.i686 requires grub2-tools = 1:2.02-0.40.fc26, but none of the providers can be installed
  - grub2-tools-1:2.02-0.40.fc26.i686 does not belong to a distupgrade repository
  - problem with installed package grub2-efi-1:2.02-0.40.fc26.i686

Comment 2 Chris Murphy 2017-11-11 19:34:19 UTC
I was able to get around this by first doing:
dnf remove grub2 grub2-efi-modules

Possible dups:
https://bugzilla.redhat.com/show_bug.cgi?id=1491624
https://bugzilla.redhat.com/show_bug.cgi?id=1506704

Comment 3 sedrubal 2017-11-12 13:40:32 UTC
I've successfully **destroyed** my system by removing grub2-efi-modules and upgrading to fedora 27.

Reinstalling grub by running `dnf reinstall grub2-efi-x64 shim-x64` in fedora 27 always creates broken grub installations (when grub starts an error message appears and the system restarts immediately (I can't read the message)). I was glad that I've duplicated my efi partition after the initial installation of fedora 26, so I was able to easily recover the system. `grub2-mkconfig` seems to work, but reinstalling grub does not work. I think every update of grub will destroy my installation again.

Comment 4 sedrubal 2017-11-12 13:43:04 UTC
I just tested upgrading a fedora 26 (64 bit efi) to fedora 27 in a vm and it is working. I can imagine, that this problem can be caused by installing grub packages from fedora 26 updates-testing.

Comment 5 Robert Bottomley 2017-11-14 23:34:45 UTC
I have the same issue on two laptops (and I have never installed anything from updates-testing).

Comment 6 Chris Murphy 2017-11-15 01:57:43 UTC

*** This bug has been marked as a duplicate of bug 1491624 ***

Comment 7 Adam Williamson 2017-11-15 22:22:40 UTC
This is not a duplicate.

Comment 8 Adam Williamson 2017-11-15 22:28:27 UTC
The problem for the original reporter here is i686 specific.

In grub2 builds before the big rework (2.02-8.fc27 and earlier), there was an i686 grub2-efi package. It requires grub2-tools of the same EVR. After the big rework, grub2-efi no longer exists for i686, but nothing obsoletes/provides it either. So upgrades of systems with the i686 grub2-efi package installed are failing because dnf can't keep the requirements of the old grub2-efi package satisfied from the f27 repos.

For the other arches where grub2-efi previously existed - x86_64 and aarch64 - there *is* a package which provides/obsoletes grub2-efi now. But not for i686.

Anyone commenting on this who does *not* have grub2-efi.i686 installed does *not* have the same problem. There are some similar issues with missing provides/obsoletes for other renamed packages, that I am filing separately.

Comment 9 Adam Williamson 2017-11-15 22:44:39 UTC
If you don't have grub2-efi.i686 but you *do* have grub2-efi-modules , what you are hitting is https://bugzilla.redhat.com/show_bug.cgi?id=1506704 .

Comment 10 Adam Williamson 2017-11-15 22:45:55 UTC
BTW, I *strongly* recommend that nobody remove the grub2 or grub2-efi packages in an attempt to work around issues like this. It is very likely to cause problems in some cases. Please wait for pjones to address these problems properly.

Comment 11 Ed 2017-11-21 16:00:37 UTC
Hello,

Has anyone received a solution for this issue?  Please advise

Regards,

Ed

Comment 12 Adam Williamson 2017-11-22 22:00:17 UTC
Ed: the bug is assigned to the person who can fix it (pjones), and I've contacted him directly about this and the grub2-efi-modules issue. He is definitely aware of both issues and that they need to be fixed.

If you're absolutely sure your system isn't actually booting via UEFI you can remove grub2-efi.i686 and the upgrade should work fine, but please only do that if you're sure it isn't needed for your install.

Comment 13 Ed 2017-11-25 15:26:54 UTC
Adam Williamson

Thanks for the update, I tried again this morning 11.25.2017 and there is an issue with grub2-ef.  I have a screenshot of this message but not sure you can upload it here.  Second when I upgraded to Fedora Deskstop 26 there were no issues and I did not loose any files.  I am cautious of this upgrade so I will wait for a fix for this issue before upgrading to Fedora 27

Regard,

Ed

Comment 14 Ed 2017-11-25 16:00:24 UTC
Adam

This is the message that pops-up onscreen after the download of Fedora 27 is complete via the Software Repository:

Incomplete Software

some of the currently installed software is not compatible with Fedora 27.  If you continue the following will be automatically removed during the upgrade 

grub2-efi

Regards,

Ed

Comment 15 Ed 2017-11-25 16:00:51 UTC
Adam

This is the message that pops-up onscreen after the download of Fedora 27 is complete via the Software Repository:

Incomplete Software

some of the currently installed software is not compatible with Fedora 27.  If you continue the following will be automatically removed during the upgrade 

grub2-efi

Regards,

Ed

Comment 16 Adam Williamson 2017-11-25 18:01:14 UTC
Right, that's just informing you that proceeding with the upgrade will remove the grub2-efi package (dnf defaults to bailing out if any packages can't be handled cleanly; gnome-software defaults to removing them and proceeding).

If you're sure you're not actually using UEFI to boot, that's no problem. But if you're not sure, yup, just hang tight.

Comment 17 Ed 2017-11-25 19:19:42 UTC
Adam Williamson,

I am going to just hang tight.  There is no rush thanks for the immediate update.

NICE

Eddie

Comment 18 SP 2017-11-26 04:08:28 UTC
same problem encountered upgrading from fedora 26 i686 to fedora 27 using dnf

Comment 19 Robb Romans 2017-12-01 00:20:15 UTC
I received the same warning when beginning the upgrade. I stopped the upgrade pending resolution.

Comment 20 Robb Romans 2017-12-01 20:58:05 UTC
Removing grub2-efi-modules and then manually upgrading worked for me.

Comment 21 Adam Williamson 2017-12-01 23:04:17 UTC
Then you had 1506704, not this bug. This bug is specific to grub2-efi.i686.

Comment 22 Stefano Biagiotti 2017-12-03 00:17:55 UTC
I have this very same error on F26 i686 trying to system-upgrade to F27.

# LANG=C dnf system-upgrade download --releasever=27
Before you continue ensure that your system is fully upgraded by running "dnf --refresh upgrade". Do you want to continue [y/N]: y
Last metadata expiration check: 0:00:00 ago on Sun Dec  3 00:51:11 2017.
Error: 
 Problem: package grub2-efi-1:2.02-0.40.fc26.i686 requires grub2-tools = 1:2.02-0.40.fc26, but none of the providers can be installed
  - grub2-tools-1:2.02-0.40.fc26.i686 does not belong to a distupgrade repository
  - problem with installed package grub2-efi-1:2.02-0.40.fc26.i686

I am sure the system isn't booting via uefi therefore, as Adam Williamson stated, I'm going to remove grub2-efi and retry to system-upgrade.

Comment 23 Stefano Biagiotti 2017-12-03 12:26:08 UTC
The system-upgrade worked like a charm, I am on F27 now.
Thank you Adam for the hint.

Comment 24 SP 2017-12-03 18:30:26 UTC
For reference: to determine whether your system boots BIOS compatibility mode rather than UEFI(even though the system may have been originally with UEFI) see the following:
https://unix.stackexchange.com/questions/148356/how-to-know-if-im-booting-using-uefi

Comment 25 SP 2017-12-04 14:16:42 UTC
After determining that the system did not use UEFI on boot I removed grub2-efi-1:2.02-0.40.fc26.i686 and the laptop upgraded flawlessly to F27.

Comment 26 Ed 2018-01-17 22:12:23 UTC
Adam

I received the following after checking for efi on my current fedora 26 distro and received the following:

$ sudo efibootmgr
EFI variables are not supported on this system.

From the result I am good to go.  Presently downloading 27 and will update.

Comment 27 Ed 2018-01-18 15:07:18 UTC
Last metadata expiration check: 0:00:00 ago on Thu 18 Jan 2018 09:59:28 AM EST.
Error: 
 Problem: package grub2-efi-1:2.02-0.40.fc26.i686 requires grub2-tools = 1:2.02-0.40.fc26, but none of the providers can be installed
  - grub2-tools-1:2.02-0.40.fc26.i686 does not belong to a distupgrade repository
  - problem with installed package grub2-efi-1:2.02-0.40.fc26.i686

This is the result of trying to upgrade to Fedora 27.  Tried thru the software portal and it just stops downloading after 15 minutes.

I am going to have to remove this package and try again.  Update to follow.

Comment 28 Ed 2018-01-18 15:15:15 UTC
[sudo] password for ejohnson: 
Dependencies resolved.
===========================================================================================================================
 Package                      Arch                    Version                             Repository                  Size
===========================================================================================================================
Removing:
 grub2-efi                    i686                    1:2.02-0.40.fc26                    @fedora                    3.8 M

Transaction Summary
===========================================================================================================================
Remove  1 Package

Freed space: 3.8 M
Is this ok [y/N]: Y

Now downloading 27 via line command 2 thousand plus packages.  Update to follow!

Comment 29 Fedora Update System 2018-01-18 19:22:44 UTC
grub2-2.02-21.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

Comment 30 Fedora Update System 2018-01-18 19:23:17 UTC
grub2-2.02-21.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

Comment 31 Ed 2018-01-18 22:18:41 UTC
After removing the grub2 package completely plus dependencies I now have Fedora 27 installed on a 10.5 year old Dell Inspiron E1505.  NICE

Comment 32 Fedora Update System 2018-01-19 16:34:43 UTC
grub2-2.02-21.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

Comment 33 Ed 2018-01-19 18:34:26 UTC
(In reply to Fedora Update System from comment #32)
> grub2-2.02-21.fc27 has been pushed to the Fedora 27 testing repository. If
> problems still persist, please make note of it in this bug report.
> See https://fedoraproject.org/wiki/QA:Updates_Testing for
> instructions on how to install test updates.
> You can provide feedback for this update here:
> https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97


I will check tomorrow and update accordingly.  Did not check if grub2-2.02-21.fc27 is installed with Fedora 27 but will update.  This only became an issue while trying to update from 26 to 27 but I hear 28 is on the horizon.

Comment 34 Fedora Update System 2018-01-23 21:38:06 UTC
grub2-2.02-22.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

Comment 35 Fedora Update System 2018-01-25 08:36:40 UTC
grub2-2.02-22.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fbcc83aa97

Comment 36 Fedora Update System 2018-02-14 17:27:05 UTC
grub2-2.02-22.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.